KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm join phase control-plane-join - Join a machine as a control plane instance

SYNOPSIS

kubeadm join phase control-plane-join [OPTIONS]

DESCRIPTION

Join a machine as a control plane instance

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Joins a machine as a control plane instance
      kubeadm join phase control-plane-join all

SEE ALSO

kubeadm-join-phase(1), kubeadm-join-phase-control-plane-join-all(1), kubeadm-join-phase-control-plane-join-etcd(1), kubeadm-join-phase-control-plane-join-mark-control-plane(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!